# Using maven image, based on java 8
FROM maven:3.6.3-jdk-8 as target
WORKDIR build
COPY ./ ./
RUN mvn -ntp package


# Go to working directory in docker image
# WORKDIR /usr/app/

FROM openjdk:slim-buster
COPY --from=target /build/target/*jar-with-dependencies.jar /app/REST_XSLT.jar

# Download dependencies during image build
# (RUN - works on image creation)
# (CMD - works on container start)
# RUN mvn dependency:resolve
# RUN mvn dependency:go-offline

# On container creation - run maven tests
CMD exec java -jar /app/REST_XSLT.jar